# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/scikit-image-0.19.2-python_3.9-numpy_1.16-on-linux_64, last modified Fri Mar 25 13:13:59 2022
# ------------------------------------------------

package:
  name: scikit-image
  version: 0.19.2
source:
  patches:
    - skip-broken-tests.patch
  sha256: d433b4642a6f8219e749dfbbe4b5e742d560996540c9749ede510274d061866d
  url: https://pypi.io/packages/source/s/scikit-image/scikit-image-0.19.2.tar.gz
build:
  entry_points:
    - skivi = skimage.scripts.skivi:main
  number: '0'
  string: py39h51133e4_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - patch 2.7.6 h7b6447c_1001
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - beniget 0.3.0 pyhd3eb1b0_0
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - blas 1.0 mkl
    - ca-certificates 2022.3.18 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - cython 0.29.28 py39h295c915_0
    - decorator 5.1.1 pyhd3eb1b0_0
    - gast 0.4.0 pyhd3eb1b0_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - intel-openmp 2021.4.0 h06a4308_3561
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgfortran-ng 7.5.0 ha8ba4b0_17
    - libgfortran4 7.5.0 ha8ba4b0_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py39h7f8727e_0
    - mkl_fft 1.3.1 py39hd3c417c_0
    - mkl_random 1.2.2 py39h51133e4_0
    - ncurses 6.3 h7f8727e_2
    - networkx 2.7.1 pyhd3eb1b0_0
    - numpy 1.16.6 py39h2d18471_3
    - numpy-base 1.16.6 py39hdc34a94_3
    - openssl 1.1.1n h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py39h06a4308_0
    - ply 3.11 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.7 h12debd9_1
    - pythran 0.9.11 py39hae6d005_4
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.38.0 hc218d9a_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xsimd 7.6.0 hd09550d_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - _openmp_mutex
    - cloudpickle >=0.2.1
    - cytoolz >=0.7.3
    - dask-core >=1.0.0,!=2.17.0
    - imageio >=2.4.1
    - libgcc-ng >=7.5.0
    - libstdcxx-ng >=7.5.0
    - networkx >=2.2
    - numpy >=1.16.6,<2.0a0
    - packaging >=20.0
    - pillow >=6.1.0,!=7.1.0,!=7.1.1,!=8.3.0
    - python >=3.9,<3.10.0a0
    - pywavelets >=1.1.1
    - scipy >=1.4.1
    - tifffile >=2019.7.26
    - toolz >=0.7.3
  run_constrained:
    - matplotlib-base >=3.0.3
    - pooch >=1.3.0
test:
  commands:
    - pip check
    - export OPENBLAS_NUM_THREADS=1
    - export OMP_NUM_THREADS=1
    - export MPLBACKEND=Agg
    - SKIMAGE_TEST_STRICT_WARNINGS=0 pytest --verbose --pyargs skimage -k "not (_not_a_real_test
      or test_apply_parallel_rgb or test_cut_normalized or test_ncut_stable_subgraph
      or test_reproducibility)"
  imports:
    - skimage
  requires:
    - pip
    - pooch >=1.3.0
    - pytest
    - pytest-localserver
about:
  description: 'scikit-image is a collection of algorithms for image processing.

    It is available free of charge and free of restriction.

    We pride ourselves on high-quality, peer-reviewed code,

    written by an active community of volunteers.

    '
  dev_url: https://github.com/scikit-image/scikit-image
  doc_url: https://scikit-image.org/docs/stable/
  home: https://scikit-image.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Image processing in Python.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - emmanuelle
    - hmaarrfk
    - jakirkham
    - jni
    - msarahan
    - ocefpaf
    - soupault
